> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/arbitrum-logs-rpc-methods",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Logs and events | Arbitrum

> Arbitrum event log RPC methods for retrieving smart contract events, transaction logs, and filter-based data from your Chainstack node endpoints.

Retrieving logs information from the Arbitrum blockchain can be done by using the following methods:

<CardGroup>
  <Card title="eth_getLogs" href="/reference/arbitrum-getlogs" icon="angle-right" iconType="solid" horizontal />

  <Card title="eth_newFilter" href="/reference/arbitrum-newfilter" icon="angle-right" iconType="solid" horizontal />
</CardGroup>

<Info>
  Find logs limitations in [Understanding eth\_getLogs limitations](/docs/understanding-eth-getlogs-limitations)
</Info>

<Check>
  ### Get your own node endpoint today

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>
